NTPDC(1)

NAME
ntpdc - special NTP query program

SYNOPSIS
ntpdc [-ilnps] [-c command] [host] [...]

DESCRIPTION
ntpdc is used to query the ntpd daemon about its current state and to request changes in that state. The program may be run either in interactive mode or controlled using command line arguments. Extensive state and statistics information is available through the ntpdc interface. In addition, nearly all the configuration options which can be specified at startup using ntpd's configuration file may also be specified at run time using ntpdc.

If one or more request options are included on the command line when ntpdc is executed, each of the requests will be sent to the NTP servers running on each of the hosts given as command line arguments, or on localhost by default. If no request options are given, ntpdc will attempt to read commands from the standard input and execute these on the NTP server running on the first host given on the command line, again defaulting to localhost when no other host is specified. ntpdc will prompt for commands if the standard input is a terminal device.

ntpdc uses NTP mode 7 packets to communicate with the NTP server, and hence can be used to query any compatible server on the network which permits it. Note that since NTP is a UDP protocol this communication will be somewhat unreliable, especially over large distances in terms of network topology. ntpdc makes no attempt to retransmit requests, and will time requests out if the remote host is not heard from within a suitable timeout time.

The operation of ntpdc are specific to the particular implementation of the ntpd daemon and can be expected to work only with this and maybe some previous versions of the daemon. Requests from a remote ntpdc program which affect the state of the local server must be authenticated, which requires both the remote program and local server share a common key and key identifier.

Note that in contexts where a host name is expected, a -4 qualifier preceding the host name forces DNS resolution to the IPv4 namespace, while a -6 qualifier forces DNS resolution to the IPv6 namespace.

OPTIONS
Specifying a command line option other than -i or -n will cause the specified query (queries) to be sent to the indicated host(s) immediately. Otherwise, ntpdc will attempt to read interactive format commands from the standard input.

-4  Force DNS resolution of following host names on the command line to the IPv4 namespace.

-6  Force DNS resolution of following host names on the command line to the IPv6 namespace.

-c command
    The following argument is interpreted as an interactive format command and is added to the list of commands to be executed on the specified host(s). Multiple -c options may be given.

-i  Force ntpdc to operate in interactive mode. Prompts will be written to the standard output and commands read from the standard input.

-l  Obtain a list of peers which are known to the server(s). This switch is equivalent to -c listpeers.

-n  Output all host addresses in dotted-quad numeric format rather than converting to the canonical host names.

-p  Print a list of the peers known to the server as well as a summary of their state. This is equivalent to -c peers.

-s  Print a list of the peers known to the server as well as a summary of their state, but in a slightly different format than the -p switch. This is equivalent to -c dmpeers.

SEE ALSO
/usr/share/doc/ntp-doc/html/ntpdc.html for the full documentation.